// Code generated by go-swagger; DO NOT EDIT.

package networks

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*VMNetworkDeleteDefault An unexpected error response

swagger:response vmNetworkDeleteDefault
*/
type VMNetworkDeleteDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewVMNetworkDeleteDefault creates VMNetworkDeleteDefault with default headers values
func NewVMNetworkDeleteDefault(code int) *VMNetworkDeleteDefault {
	if code <= 0 {
		code = 500
	}

	return &VMNetworkDeleteDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the vm network delete default response
func (o *VMNetworkDeleteDefault) WithStatusCode(code int) *VMNetworkDeleteDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the vm network delete default response
func (o *VMNetworkDeleteDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the vm network delete default response
func (o *VMNetworkDeleteDefault) WithPayload(payload *models.Error) *VMNetworkDeleteDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the vm network delete default response
func (o *VMNetworkDeleteDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *VMNetworkDeleteDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
